net.sourceforge.pmd.lang.ecmascript

## Class Ecmascript3Parser

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractParser
  - - net.sourceforge.pmd.lang.ecmascript.Ecmascript3Parser

- All Implemented Interfaces:
    Parser

      public class Ecmascript3Parser
      extends AbstractParser

  Adapter for the EcmascriptParser.

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.AbstractParser

      `parserOptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ecmascript3Parser(ParserOptions parserOptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canParse()` Indicates if this parser can actual parse, or if it can only tokenize.
    `TokenManager` | `createTokenManager(Reader source)`
    `Map<Integer,String>` | `getSuppressMap()`
    `Node` | `parse(String fileName, Reader source)` Parse source code and return the root node of the AST.

    - ### Methods inherited from class net.sourceforge.pmd.lang.AbstractParser

      `getParserOptions, getTokenManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ecmascript3Parser

          public Ecmascript3Parser(ParserOptions parserOptions)

  - ### Method Detail

    - #### createTokenManager

          public TokenManager createTokenManager(Reader source)

      Specified by:
        `createTokenManager` in class `AbstractParser`

    - #### canParse

          public boolean canParse()

      Description copied from interface: `Parser`
      Indicates if this parser can actual parse, or if it can only tokenize.

    - #### parse

          public Node parse(String fileName,
                   Reader source)
                     throws ParseException

      Description copied from interface: `Parser`
      Parse source code and return the root node of the AST.
      Parameters:
        `fileName` - The file name being parsed (may be `null`).
        `source` - Reader that provides the source code of a compilation unit
      Returns:
        the root node of the AST that is built from the source code
      Throws:
        `ParseException` - In case the source code could not be parsed, probably due to syntactical errors.
        `ParseException`

    - #### getSuppressMap

          public Map<Integer,String> getSuppressMap()

Copyright © 2002-2013 InfoEther. All Rights Reserved.